[117189] trunk/dports/gnome/baobab

devans at macports.org devans at macports.org
Tue Feb 18 22:01:08 PST 2014


Revision: 117189
          https://trac.macports.org/changeset/117189
Author:   devans at macports.org
Date:     2014-02-18 22:01:08 -0800 (Tue, 18 Feb 2014)
Log Message:
-----------
baobab: reconfigure with our intltool.m4 using autogen.sh from upstream git, build deps.

Modified Paths:
--------------
    trunk/dports/gnome/baobab/Portfile

Added Paths:
-----------
    trunk/dports/gnome/baobab/files/autogen.sh

Modified: trunk/dports/gnome/baobab/Portfile
===================================================================
--- trunk/dports/gnome/baobab/Portfile	2014-02-19 05:09:12 UTC (rev 117188)
+++ trunk/dports/gnome/baobab/Portfile	2014-02-19 06:01:08 UTC (rev 117189)
@@ -28,7 +28,11 @@
 
 depends_build       port:pkgconfig \
                     port:intltool \
-                    port:itstool
+                    port:itstool \
+                    port:yelp-tools \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:desktop-file-utils \
                     port:gnome-icon-theme \
@@ -41,6 +45,15 @@
 
 patchfiles          patch-src-Makefile.in.diff
 
+# use autogen.sh from upstream git to update m4/intltool.m4 using intltoolize and autoreconf
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+    file delete -force ${worksrcpath}/m4
+}
+
+configure.cmd   ./autogen.sh
+
 configure.args      --disable-schemas-compile \
                     --disable-silent-rules
 

Added: trunk/dports/gnome/baobab/files/autogen.sh
===================================================================
--- trunk/dports/gnome/baobab/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/baobab/files/autogen.sh	2014-02-19 06:01:08 UTC (rev 117189)
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+OLDDIR=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+    echo "*** No autoreconf found, please install it ***"
+    exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+    echo "*** No intltoolize found, please install the intltool package ***"
+    exit 1
+fi
+
+GNOMEDOC=`which yelp-build`
+if test -z $GNOMEDOC; then
+    echo "*** The tools to build the documentation are not found,"
+    echo "    please install the yelp-tools package ***"
+    exit 1
+fi
+
+autopoint --force || exit $?
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+cd $OLDDIR
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20140218/195ee60a/attachment.html>


More information about the macports-changes mailing list